Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0219

CVE information

Published

10 years ago

Last Modified

8 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

Heap-based buffer overflow in the xioscan_readline function in xio-readline.c in socat 1.4.0.0 through 1.7.2.0 and 2.0.0-b1 through 2.0.0-b4 allows local users to execute arbitrary code via the READLINE address..

CVSSv2.0 Score

Severity
Medium
Base Score
6.2/10
Exploit Score
1.9/10
Access Vector
Local
Access Complexity
High
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:dest-unreach:socat:1.7.1.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.5.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.1.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.6.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.6.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.3.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.7.1.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:1.4.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:2.0.0:b3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:2.0.0:b2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:2.0.0:b4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:dest-unreach:socat:2.0.0:b1:*:*:*:*:*:*
  Yes
- -